man(1)

NAME
lpc21isp - Is an in-circuit programming (ISP) tool for the NXP(Philips) microcontrollers

SYNOPSIS
lpc21isp [[Options]] [file[ file[ ...]]] [comport] [baudrate] [Oscillator_in_kHz]

lpc21isp [-bin] [-hex] [-term] [-termonly] [-localecho] [-detectonly] [-debug0] [-debug3] [-debug5] [-donotstart] [-try<n>] [-wipe] [-control] [-controlswap] [-controlinv] [-verify] [-logfile] [-halfduplex] [-ADARM] [-PHILIPSARM]

DESCRIPTION
lpc21isp is an in-circuit programming (ISP) tool for the NXP(Philips) LPC1100/LPC1300/LPC1700/LPC2000 series ARM7/Cortex-M0/Cortex-M3 microcontrollers.

OPTIONS

-bin
    for uploading binary file

-hex
    for uploading file in intel hex format (default)

-term
    for starting terminal after upload

-termonly
    for starting terminal without an upload

-localecho
    for local echo in terminal

-detectonly
    detect only used LPC chiptype (PHILIPSARM only)

-debug0
    for no debug

-debug3
    for progress info only

-debug5
    for full debug

-donotstart
    do not start MCU after download

-try<n>
    try n times to synchronise

-wipe
    Erase entire device before upload

-control
    for controlling RS232 lines for easier booting (Reset = DTR, EnableBootLoader = RTS)

-controlswap
    swap RS232 control lines (Reset = RTS, EnableBootLoader = DTR)

-controlinv
    Invert state of RTS & DTR (0=true/assert/set, 1=false/deassert/clear).

-verify
    Verify the data in Flash after every writes to sector. To detect errors in writing to Flash ROM

-logfile
    for enabling logging of terminal output to lpc21isp.log

-halfduplex
    use halfduplex serial communication (i.e. with K-Line)

-ADARM
    for downloading to an Analog Devices ARM microcontroller ADUC70xx

-PHILIPSARM
    for downloading to a microcontroller from NXP(Philips) LPC13xx/LPC17xx/LPC2000 family (default)